<?php declare(strict_types=1);

namespace App\Repository;

use App\Entity\MenuItemAlias;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<MenuItemAlias>
 *
 * @method MenuItemAlias|null find($id, $lockMode = null, $lockVersion = null)
 * @method MenuItemAlias|null findOneBy(array $criteria, array $orderBy = null)
 * @method MenuItemAlias[]    findAll()
 * @method MenuItemAlias[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MenuItemAliasRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, MenuItemAlias::class);
    }

    //    /**
    //     * @return MenuItemAlias[] Returns an array of MenuItemAlias objects
    //     */
    //    public function findByExampleField($value): array
    //    {
    //        return $this->createQueryBuilder('m')
    //            ->andWhere('m.exampleField = :val')
    //            ->setParameter('val', $value)
    //            ->orderBy('m.id', 'ASC')
    //            ->setMaxResults(10)
    //            ->getQuery()
    //            ->getResult()
    //        ;
    //    }
    //    public function findOneBySomeField($value): ?MenuItemAlias
    //    {
    //        return $this->createQueryBuilder('m')
    //            ->andWhere('m.exampleField = :val')
    //            ->setParameter('val', $value)
    //            ->getQuery()
    //            ->getOneOrNullResult()
    //        ;
    //    }
}
